"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function buildFromDict(dictionary, sourceTrie = {}) {
    let lfreq = {}, trie = sourceTrie || {}, ltotal = 0.0;
    for (let i = 0; i < dictionary.length; i++) {
        let entry = dictionary[i], word = entry[0], freq = entry[1];
        lfreq[word] = freq;
        ltotal += freq;
        let p = trie;
        for (let ci = 0; ci < word.length; ci++) {
            let c = word[ci];
            if (!(c in p)) {
                p[c] = p[c] || {};
            }
            p = p[c];
        }
        p[''] = freq;
    }
    return [trie, lfreq, ltotal];
}
exports.buildFromDict = buildFromDict;
exports.default = buildFromDict;
